Subject: Re: Scripts to use "bundles" for moving data between repositories

From: Mark Levedahl <[email-masked]>
Date: Wed, 14 Feb 2007 16:24:00 -0500

Junio C Hamano wrote:
> Also we _might_ want to uuencode (or base85) so that you can
> even e-mail a bundle easily.
>
> I am 75% kidding ;-).
>   
Wouldn't such encoding more logically be a part of whatever is used for 
the transport? My experience (other than emailing patches to the git 
list :-[ ) in this area is that encode / decode of attachments is 
handled transparently by email clients. My email programs (including 
command line scripts) all know how to mime encode / decode arbitrary 
attachments, so I at least would gain nothing by such encoding.

Mark